﻿@using X.PagedList.Mvc.Core;
@using X.PagedList.Mvc.Common;
@using X.PagedList;

@model Web.Models.StudentModels.StudentPagedViewModel;
@{
    ViewData["Title"] = "Student Page";
    ViewData["Header"] = "Students";
}
<div class="container text-center">

    <div class="row">
        <div class="col-sm-14 h1">
           @if (Model.GroupId != null)
            {
                <div>Student</div>
            }else{
                <div>All students</div>
            }
        </div>
    </div>

    <div class="row">
        @foreach (var item in Model.StudentViewModels)
        {
            
            <div class="col">
                <div class="card bg-light" >
                    <div class="card-header">
                        <img src="@item.FilePath" class="card-img-top" id="image-student" alt="...">
                    </div>
                    <div class="card-body">
                        <h5 class="card-title">@item.FirstName @item.LastName</h5>
                        <p class="card-text">Age:@item.Age</p>
                        <a href="@Url.Action("Edit","Student", new{ id = item.Id},null )" class="btn btn-primary">Edit</a>
                        <a href="@Url.Action("Delete","Student" , new{ id = item.Id},null )" class="btn btn-primary">Remove</a>
                    </div>
                </div>
            </div>
        }
    </div>
    <div class="row">
        <div class="col">
            @(Model.StudentViewModels.PageCount < Model.StudentViewModels.PageNumber ? 0 : Model.StudentViewModels.PageNumber) of @Model.StudentViewModels.PageCount
            @Html.PagedListPager((IPagedList)Model.StudentViewModels, page => Url.Action("Index", new {page , groupId = Model.GroupId}) ,
            new X.PagedList.Web.Common.PagedListRenderOptions{
            LiElementClasses = new string[]{"page-item"},
            PageClasses = new string[]{"page-link"},
            UlElementClasses = new string[] {"pagination justify-content-center"}

            })
            @if (Model.GroupId != null)
            {
                <a class="btn btn-primary" id="add-button" href="@Url.Action("Add","Student", new {groupId = Model.GroupId} , null)">Add new</a>
            }
           
        </div>

    </div>
</div>


